package game.characters;

import java.util.List;

import game.GameCharacter;

/**
 * This class represents a Flower. Flower extends GameCharacter, which contains a GameCharacterImage, and
 * thus it can paint itself in a window.
 * @author hornick
 */
public class Flower extends GameCharacter {

	/**
	 * ctor - creates an instance of a Flower
	 * @param name the name of the Flower
	 * @param imageFile image to display
	 */
	public Flower(String name, String imageFile ) {
		super( name, imageFile, null ); // make the abstract GameCharacter ctor do the work...
	}

	/**
	 * This method is called by the Game framework every turn to make the Flower plan its next move.
	 * Flowers don't move, so nothing really happens here.
	 */
	@Override
	public void planMove(List<GameCharacter> list) {
		// do nothing; Flowers don't move (or do they?)
	}
	
	/**
	 * This method is called by the Game framework at the end of every move to give the GameCharacter
	 * the chance to take some action.
	 * @param list a list of GameCharacter in the same board cell as this GameCharacter
	 */
	@Override
	public void finishMove(List<GameCharacter> list) {
		// hmm. What if nightshade was poisonous?
	}
}
